Author Topic: how to do select an point insert text?  (Read 3295 times)

0 Members and 1 Guest are viewing this topic.

kimmy

  • Guest
how to do select an point insert text?
« on: April 29, 2011, 04:14:47 AM »
how to do select an point insert text?
dim pt as double
Set mytxt = ThisDrawing.TextStyles.Add("mytxt")
mytxt.fontFile = "c:\windows\fonts\simfang.ttf"
mytxt.Height = 100
mytxt.Width = 0.8
mytxt.ObliqueAngle = ThisDrawing.Utility.AngleToReal(3, 0)
ThisDrawing.ActiveTextStyle = mytxt
 frmmain.hide
pt = ThisDrawing.Utility.GetPoint(, "select an point")
Set txtobj = ThisDrawing.ModelSpace.AddMText(pt, 1400, "{do this}\P" & "like like")
this code can't passed! who can modify this?thanks!!!!!


Bob Wahr

  • Guest
Re: how to do select an point insert text?
« Reply #1 on: April 29, 2011, 08:40:34 AM »
Pretty sure that the insertion point has to be an array of doubles.  Try changing to this

dim pt(0 to 2) as double

David Hall

  • Automatic Duh Generator
  • King Gator
  • Posts: 4076
Re: how to do select an point insert text?
« Reply #2 on: April 29, 2011, 11:32:08 AM »
and if that doesn't work, use variant.  I cant remember which it is
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second.
Sometimes the question is more important than the answer. (Thanks Kerry for reminding me)

kimmy

  • Guest
Re: how to do select an point insert text?
« Reply #3 on: May 03, 2011, 08:29:33 PM »
and if that doesn't work, use variant.  I cant remember which it is

it's ok ..thanks